#ifndef PCTCP_H 
#define PCTCP_H 
unsigned long  inet_addr(char  *name);
void  CreateWellKnownSockets(void);
void  ResetWellKnownSockets(void);
char  *ClientAuthorized(struct  _Client *client,unsigned short  proto_n,char  *auth_proto,unsigned short  string_n,char  *auth_string);
void  EstablishNewConnections(unsigned long);
int  CloseDownConnection(struct  _Client *client);
void  OnlyListenToOneClient(struct  _Client *client);
void  ListenToAllClients(void);
unsigned long  ClientNetAddr(struct  _Client *client);
void  start_network(const char *);
int  ReadRequestFromClient(struct  _Client *client);
int  InsertFakeRequest(struct  _Client *client,char  *data,int  count);
void ResetCurrentRequest(struct  _Client *client);
void FlushClient(struct  _osComm *oc);
void  FlushAllOutput(void);
void  FlushIfCriticalOutputPending(void);
void  SetCriticalOutputPending(void);
int  WriteToClient(struct  _Client *client,int  count,char  *buf);
void  CloseDownFileDescriptor(struct  _osComm *oc);
void  ResetOsBuffers(void);
int  WaitForSomething(int  *pClientsReady);
void XdmcpUseMsg(void);
int  XdmcpOptions(int  argc,char  * *argv,int  i);
void  XdmcpInit(void);
void  XdmcpReset(void);
void  XdmcpOpenDisplay(int  sock,unsigned long addr);
void  XdmcpCloseDisplay(int  sock);
void  XdmcpBlockHandler(long  *wt);
void  XdmcpWakeupHandler(void);
void XdmcpSelectHost(struct net_addr *host_sockaddr,struct  _ARRAY8 *AuthenticationName);
void XdmcpAddHost(struct net_addr *from,struct  _ARRAY8 *AuthenticationName,struct  _ARRAY8 *hostname,struct  _ARRAY8 *status);
void  XdmcpReceivePacket(void);
int InvalidHost (void *saddr, int len);
void XdmcpDeadSession(char  *reason);
void ResetHosts (char *display);
int client_write(int count, void *buf);
#endif 
